[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetSelectedState

Gets the effective selected state using the control Options and the grid draw state.

## Declaration

Source position: grids.pas line 1113

`protected procedure TCustomGrid.GetSelectedState(`
`AState: TGridDrawState;`
`out IsSelected: Boolean`
`); virtual;`

## Arguments

`AState` |  | Grid draw state values examined in the method.
`IsSelected` |  | True when the state and Options values indicate a selected state.

## Description

Called from the PrepareCanvas method when fixed cells are drawn, or when DefaultDrawing is enabled for the control.

## See also

TCustomGrid.PrepareCanvas |  | Prepares the canvas for drawing the cell at the specified location.
TCustomGrid.DefaultDrawing |  | Indicates if the default drawing mechanism is used to draw the background and text for cells.
TCustomGrid.Options |  | Contains the set of optional features and/or behaviors enabled for the grid control.
TGridOption |  | Represents grid option values available for grid controls.
TGridOptions |  | Set type used to store enabled grid options.
TGridDrawState |  | Enumeration with Grid draw state values.
TGridState |  | Enumerated type with grid state values.